/*
 */
function runDemo(form) {
	
	// get settings:
	var api = form.api.value;
	var resolution = form.resolution.value;
	var fullscreen = form.fullscreen.value;
	var aa = form.aa.value;
	var demo = form.demo.value;
	var shaders = form.shaders.value;
	var anisotropy = form.anisotropy.value;
	var hdr = form.hdr.value;
	var occlusion = form.occlusion.value;

	// form URL:
	var url = 'http://default?';
	var args = '-engine_config data/unigine.cfg -data_path ./';
	args += ' -video_app ' + api;
	args += ' -video_fullscreen ' + fullscreen;
	args += ' -video_mode ' + resolution;
	args += ' -video_multisample ' + aa;
	args += ' -console_command "render_shaders ' + shaders + ' && render_anisotropy ' + anisotropy + ' && render_hdr ' + hdr + ' && render_occlusion ' + occlusion + ' && render_restart"';
	
	// stereo mode:
	args += ' -system_script demos/sanctuary/unigine.cpp';
	var stereo = form.stereo.value;
	if(stereo != 0) {
		if(api == 'direct3d9') url = 'http://D3D9AppStereo?-extern_define STEREO ';
		if(api == 'direct3d10') url = 'http://D3D10AppStereo?-extern_define STEREO ';
	}
	
	// run:
	location.replace(url + args);
}

/*
 */
function checkStereo(form) {
	// stereo isn't available for OpenGL:
	if(form.api[form.api.selectedIndex].value == 'opengl') {
		var off_id = 0;
		for(var i = 0; i < form.stereo.options.length; i++) {
			if(form.stereo.options[i].value == '0') off_id = i;
		}
		form.stereo.selectedIndex = off_id;
	}
}
